petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetField

Set the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetField(DM dm, PetscInt f, PetscObject field)

Logically collective on DM Many br

### Input Parameters

| dm | - The DM Many br
| f | - The field number Many br
| field | - The discretization object Many br

Many br

### See Also

DMGetField()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages